Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006736TestLinkTest Executepublic2014-11-09 15:432014-12-31 14:22
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006736: Copy linked issues from (ABSOLUTE) latest execution when creating a new execution
DescriptionBased on contribution (see related issue)

1. new config option available to enable/disable this feature at GUI level

$tlCfg->exec_cfg->copyLatestExecIssues = new stdClass();

// true => When saving an execution, a new option will be displayed,
// and user will be able to do a choice
// COPY OR NOT issues linked to ABSOLUTE latest execution to the new execution
// DEFAULT false => no option on GUI

$tlCfg->exec_cfg->copyLatestExecIssues->enabled = FALSE;


// value to set as default on GUI
$tlCfg->exec_cfg->copyLatestExecIssues->default = FALSE;

2. ABSOLUTE latest execution means that test plan, platform and build are ignored when looking for latest execution for test case VERSION using is trying to execute again.
TagsNo tags attached.
Database (MySQL,Postgres,etc)All
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0006739closedfman IMPORT RESULTS VIA XML - Copy linked issues from (ABSOLUTE) latest execution 
child of 0006735closedfman Automatically copy linked bugs from previous execution to the new one 
child of 0006609closedfman Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2014-11-09 15:43 fman New Issue
2014-11-09 15:43 fman Status new => assigned
2014-11-09 15:43 fman Assigned To => fman
2014-11-09 15:43 fman Issue generated from: 0006735
2014-11-09 15:43 fman Relationship added child of 0006735
2014-11-11 20:43 fman Issue cloned: 0006739
2014-11-11 20:43 fman Relationship added related to 0006739
2014-11-15 18:58 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-11-15 18:58 fman Fixed in Version => 1.9.13 (2015 #1)
2014-11-15 18:58 fman Relationship added child of 0006609
2014-11-16 10:29 fman Status assigned => resolved
2014-11-16 10:29 fman Resolution open => fixed
2014-12-31 14:22 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker